View Issue Details

IDProjectCategoryView StatusLast Update
0003656SymmetricDSBugpublic2018-08-31 09:33
ReportermmichalekAssigned Tommichalek 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.0 
Target Version3.9.13Fixed in Version3.9.13 
Summary0003656: Routing log messages can be excessively long (3.9)
DescriptionRouting will log data gaps and transaction id's when routing slows down. For example, this kind of message can show with a lot of gaps and transactions and roll the log in a statement or two.

2018-08-01 15:52:11,880 INFO [Source] [RouterService] [Source-job-11] Routing for channel 'default' has been processing for 60 seconds. The following stats have been gathered: totalDataRoutedCount=64122, totalDataEventCount=64122, startDataId=223807607, endDataId=223875215, dataReadCount=68000, peekAheadFillCount=34, transactions=[1718.18.11050, 1718.18.11051, 1718.18.11052, 1590.30.42912, 1590.30.42913, 1590.30.42910, 1590.30.42911, 1590.30.42906, 1590.30.42903, 1590.30.42904, 1590.30.42909, 1590.30.42907, 1590.30.42908, 1718.18.11040, 1718.18.11041, 1718.18.11042, 1817.13.25619, 1718.18.11043, 1590.30.42920, 1718.18.11044, 1718.18.11045, 1718.18.11046, 1590.30.42923, 1718.18.11047, 1590.30.42924, 1718.18.11048, 1590.30.42921, 1590.30.42922, 1718.18.11049, 1590.30.42916, 1590.30.42917, 1590.30.42914, 1590.30.42915, 1590.30.42918, 1590.30.42919, 598.32.674264, 598.32.674265, 1700.12.33597, .....

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 cbef1087

2018-08-02 10:53:41

mmichalek

Details Diff
0003656: Routing log messages can be excessively long (3.9)
0003656
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File

Issue History

Date Modified Username Field Change
2018-08-02 10:52 mmichalek New Issue
2018-08-02 10:52 mmichalek Status new => assigned
2018-08-02 10:52 mmichalek Assigned To => mmichalek
2018-08-02 10:52 mmichalek Issue generated from: 0003655
2018-08-02 10:54 mmichalek Status assigned => resolved
2018-08-02 10:54 mmichalek Resolution open => fixed
2018-08-02 10:54 mmichalek Fixed in Version => 3.10.0
2018-08-02 11:00 mmichalek Changeset attached => SymmetricDS 3.9 cbef1087
2018-08-31 09:32 chenson Fixed in Version 3.10.0 => 3.9.13
2018-08-31 09:32 chenson Target Version 3.9.10 => 3.9.13
2018-08-31 09:33 chenson Status resolved => closed